Bug 1779971 - Job invocation using Ansible commands fails with error "undefined method `input_values' for nil:NilClass".
Summary: Job invocation using Ansible commands fails with error "undefined method `inp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-05 06:49 UTC by Jameer Pathan
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:45 UTC
Target Upstream Version:


Attachments (Terms of Use)
error_after_submitting_job (20.58 KB, image/png)
2019-12-05 06:58 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:57 UTC

Description Jameer Pathan 2019-12-05 06:49:18 UTC
Description of problem:
Job invocation using Ansible commands fails with error "undefined method `input_values' for nil:NilClass".

Version-Release number of selected component (if applicable):
- Satellite 6.7.0 snap 4

How reproducible:
- Always

Steps to Reproduce:
1. Go to Monitor > Jobs
2. Click on Run Jobs
3. Select Ansible Commands as Job category 
4. Provide command to run and Search Query.
5. Click on Submit button.

Actual results:
- Error "Oops, we're sorry but something went wrong undefined method `input_values' for nil:NilClass"

Expected results:
- Job invocation should run and no error message should be shown.

Additional info:

Comment 3 Jameer Pathan 2019-12-05 06:58:09 UTC
Created attachment 1642286 [details]
error_after_submitting_job

Comment 5 Jameer Pathan 2019-12-05 10:03:42 UTC
REX version: tfm-rubygem-foreman_remote_execution-2.0.3-1.el7sat.noarch

Comment 6 Adam Ruzicka 2019-12-05 10:42:18 UTC
REX 2.0.3 was missing precompiled assets, UI parts relying on those javascripts were failing beacuse of that. 2.0.4 contains everything needed.

Comment 7 Jameer Pathan 2019-12-26 05:33:59 UTC
Verified

Verified with:
- Satellite 6.7.0 snap 7
- tfm-rubygem-foreman_remote_execution-2.0.6-1.el7sat.noarch

Test steps:
1. Go to Monitor > Jobs
2. Click on Run Jobs
3. Select Ansible Commands as Job category 
4. Provide command to run and Search Query.
5. Click on Submit button.

Observation:-
- Remote execution Ansible command completed successfully.

Comment 10 errata-xmlrpc 2020-04-14 13:27:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.